Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.ws.client
Class Utils

    java.lang.Object
      org.eclipse.higgins.ics.ws.client.Utils

public class Utils
extends Object

Author:
  Alexander Yuhimenko

Constructor Summary
`Utils()`

Method Summary
`static ICardTO` | `card2ICardTO(Card card, ICardTO cardTO)`
`static UITokenServiceCredentialTO` | `cardCredential2UITokenServiceCredentialTO(CardCredential cardCredential)`
`static CardInformation` | `cardInformationTO2CardInformation(CardInformationTO ciTO, CardInformation ci)`
`static ICardTemplateTO` | `cardTemplate2cardTemplateTO(CardTemplate cardTemplate)`
`static ITemplateElementTO` | `cardTemplateItem2templateElementTO(ITemplateElementTO elementTO, CardTemplateItem cardTemplateItem)`
`static CardTemplate` | `cardTemplateTO2cardTemplate(ICardTemplateTO cardTemplateTO)`
`static ICardUpdateTO` | `cardUpdate2ICardUpdateTO(CardUpdate update)`
`static CardUsage` | `cardUsageTO2CardUsage(CardUsageTO cuTO, CardUsage cu)`
`static CategoryTO` | `category2categoryTO(Category category)`
`static Category` | `categoryTO2category(CategoryTO categoryTO)`
`static PropertyTO` | `claimItem2propertyTO(ClaimItem claimItem)`
`static FormatDescriptor` | `formatDescriptorTO2FormatDescriptor(FormatDescriptorTO formatTO)`
`static int[]` | `getOptimalPictureSize(int height, int width)`
`static byte[]` | `getScaledImg(int scaledW, int scaledH, BufferedImage cardImage)`
`static Card` | `ICardTO2Card(ICardTO cardTO, Card card)`
`static MRU` | `MRUTO2MRU(MapTO mruto)`
`static ClaimItem` | `propertyTO2ClaimItem(PropertyTO propertyTO)`
`static StsFault` | `StsFautlException2StsFault(StsFaultException e)`
`static CardTemplateItem` | `templateElementTO2cardTemplateItem(ITemplateElementTO elementTO)`
`static CardCredential` | `uiTokenServiceCredentialTO2CardCredential(UITokenServiceCredentialTO tokenServiceCredentialTO)`
`static UserProfileTO` | `UserProfile2UserProfileTO(UserProfile userProfile)`
`static UserProfile` | `UserProfileTO2UserProfile(UserProfileTO userProfileTO)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### cardTemplate2cardTemplateTO

    public static ICardTemplateTO cardTemplate2cardTemplateTO(CardTemplate cardTemplate)

  Parameters:
    `cardTemplate` -
  Returns:

### cardTemplateItem2templateElementTO

    public static ITemplateElementTO cardTemplateItem2templateElementTO(ITemplateElementTO elementTO,
                                                                        CardTemplateItem cardTemplateItem)

  Parameters:
    `elementTO` -
    `cardTemplateItem` -
  Returns:
    elementTO

### cardTemplateTO2cardTemplate

    public static CardTemplate cardTemplateTO2cardTemplate(ICardTemplateTO cardTemplateTO)

  Parameters:
    `cardTemplateTO` -
  Returns:

### cardInformationTO2CardInformation

    public static CardInformation cardInformationTO2CardInformation(CardInformationTO ciTO,
                                                                    CardInformation ci)

### cardUsageTO2CardUsage

    public static CardUsage cardUsageTO2CardUsage(CardUsageTO cuTO,
                                                  CardUsage cu)

### ICardTO2Card

    public static Card ICardTO2Card(ICardTO cardTO,
                                    Card card)

  Parameters:
    `cardTO` -
    `card` -
  Returns:

### getOptimalPictureSize

    public static int[] getOptimalPictureSize(int height,
                                              int width)

### card2ICardTO

    public static ICardTO card2ICardTO(Card card,
                                       ICardTO cardTO)

  Parameters:
    `card` -
    `cardTO` -
  Returns:

### propertyTO2ClaimItem

    public static ClaimItem propertyTO2ClaimItem(PropertyTO propertyTO)

  Parameters:
    `propertyTO` -
  Returns:

### claimItem2propertyTO

    public static PropertyTO claimItem2propertyTO(ClaimItem claimItem)

### templateElementTO2cardTemplateItem

    public static CardTemplateItem templateElementTO2cardTemplateItem(ITemplateElementTO elementTO)

  Parameters:
    `elementTO` -
  Returns:

### uiTokenServiceCredentialTO2CardCredential

    public static CardCredential uiTokenServiceCredentialTO2CardCredential(UITokenServiceCredentialTO tokenServiceCredentialTO)

### formatDescriptorTO2FormatDescriptor

    public static FormatDescriptor formatDescriptorTO2FormatDescriptor(FormatDescriptorTO formatTO)

### cardCredential2UITokenServiceCredentialTO

    public static UITokenServiceCredentialTO cardCredential2UITokenServiceCredentialTO(CardCredential cardCredential)

### UserProfileTO2UserProfile

    public static UserProfile UserProfileTO2UserProfile(UserProfileTO userProfileTO)

  Parameters:
    `userProfileTO` -
  Returns:

### StsFautlException2StsFault

    public static StsFault StsFautlException2StsFault(StsFaultException e)

### UserProfile2UserProfileTO

    public static UserProfileTO UserProfile2UserProfileTO(UserProfile userProfile)

  Parameters:
    `userProfile` -
  Returns:

### getScaledImg

    public static byte[] getScaledImg(int scaledW,
                                      int scaledH,
                                      BufferedImage cardImage)
                               throws IOException

  Throws:
    `IOException`

### categoryTO2category

    public static Category categoryTO2category(CategoryTO categoryTO)

### category2categoryTO

    public static CategoryTO category2categoryTO(Category category)

### MRUTO2MRU

    public static MRU MRUTO2MRU(MapTO mruto)

### cardUpdate2ICardUpdateTO

    public static ICardUpdateTO cardUpdate2ICardUpdateTO(CardUpdate update)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD